<?php
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['uin'])) {
  $uin = abs(intval($_GET['uin']));
} else {
  $uin = 0;
} 
if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 
if (empty($_GET['cat'])) {
  $cat = check($cat);
} else {
  $cat = check($_GET['cat']);
} 

show_title('news.png', 'ICQ - Магазин');
$config['newtitle'] = 'ICQ - Магазин';

switch ($act):
# ###########################################################################################
# #                                    Главная страница                                    ##
# ###########################################################################################
case 'index':

  $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `icq`;");
  $totalnew = DB :: $dbh -> querySingle("SELECT count(*) FROM `icq` WHERE `icq_time`>?;", array (SITETIME-3600 * 120));
  if ($total > 0) {
    if ($start >= $total) {
      $start = 0;
    } 

    $querycat = DB :: $dbh -> query("SELECT * FROM `icats`;");
    while ($data = $querycat -> fetch()) {

$totalicq = DB :: $dbh -> querySingle("SELECT count(*) FROM `icq` WHERE `icq_cat`=?;", array($data['icat_name']));
$totalinew = DB :: $dbh -> querySingle("SELECT count(*) FROM `icq` WHERE `icq_time`>? AND `icq_cat`=?;", array (SITETIME-3600 * 120, $data['icat_name']));
if ($totalicq > 0) {
echo '<img src="' . BASEDIR . 'images/img/dir.gif" alt=""> <a href="index.php?act=showing&amp;cat=' . $data['icat_name'] . '&amp;' . SID . '">' . $data['icat_name'] . ' символов</a> (' . $totalicq . ')';
if ($totalinew > 0) {
echo ' <font color="#ff0000">+ ' . $totalinew . '</font>';
}
echo '<br />';
}}

    echo '<hr />Всего номеров: <b>' . $total . ' </b>';
if ($totalnew > 0) {
echo '<font color="#ff0000">+ ' . $totalnew . '</font>';
}
echo '<br /><br />';

  } else {
    show_error('Номеров еще нет!');
  } 
    if (is_admin(array(101))) {
        echo '<img src="' . BASEDIR . 'images/img/panel.gif" alt="image"> <a href="index.php?act=add&amp;' . SID . '">Добавить номер</a><br /><br />';
        }
  break;
# ###########################################################################################
# #                                     Просмотр категории                                 ##
# ###########################################################################################
case 'showing':


  $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `icq` WHERE `icq_cat`=?;", array($cat));
  $totalnew = DB :: $dbh -> querySingle("SELECT count(*) FROM `icq` WHERE `icq_time`>? AND `icq_cat`=?;", array (SITETIME-3600 * 120, $cat));
  if ($total > 0) {
    if ($start >= $total) {
      $start = 0;
    } 

    $queryicq = DB :: $dbh -> query("SELECT * FROM `icq`WHERE `icq_cat`=? ORDER BY `icq_time` DESC LIMIT " . $start . ", 10;", array ($cat));
    while ($data = $queryicq -> fetch()) {

echo '<img src="' . BASEDIR . 'icq/icq.png" alt=""> <b><a href="index.php?act=pay&amp;cat=' . $cat . '&amp;uin=' . $data['icq_id'] . '&amp;' . SID . '">' . $data['icq_number'] . '</a></b> (' . moneys($data['icq_mon']) . ')<br />';
    }

    echo '<hr />Всего номеров: <b>' . $total . ' </b>';
if ($totalnew > 0) {
echo '<font color="#ff0000">+ ' . $totalnew . '</font>';
}
    page_jumpnavigation('index.php?act=showing&amp;cat=' . $cat . '&amp;', 10, $start, $total);
    page_strnavigation('index.php?act=showing&amp;cat=' . $cat . '&amp;', 10, $start, $total);
  } else {
    show_error('Номеров еще нет!');
  } 

  echo '<img src="../images/img/back.gif" alt="image" /> <a href="index.php?' . SID . '">К категориям</a><br />';
  break;
# ###########################################################################################
# #                                     Подтверждение                                      ##
# ###########################################################################################
case 'pay':

  $querypay = DB :: $dbh -> query("SELECT * FROM `icq` WHERE `icq_id`=? LIMIT 1;", array($uin));
  $data = $querypay -> fetch();
$config['newtitle'] = $data['icq_number'];
  if (is_user()) {
  if ($data > 0) {

    echo '<img src="' . BASEDIR . 'images/img/faq.gif" alt=""> Вы подтверждаете что хотите купить номер <b>' . $data['icq_number'] . '</b>? С вашего счета будет списано <b>' . moneys($data['icq_mon']) . '</b><br />';
echo '<img src="' . BASEDIR . 'images/img/open.gif" alt=""> <a href="index.php?act=yes&amp;uin=' . $data['icq_id'] . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">Да, подтверждаю!</a><br />';
  } else {
    show_error('Ошибка! Выбранный вами номер не найден в базе!');
  } 
} else {
    show_login('Вы не авторизованы, чтобы добавить сообщение, необходимо');
  } 

  echo '<br /><img src="../images/img/back.gif" alt="image" /> <a href="index.php?act=showing&amp;cat=' . $cat . '' . SID . '">К списку</a><br />';
  break;
# ###########################################################################################
# #                                Покупка                                                 ##
# ###########################################################################################
    case "yes":

        $uid = check($_GET['uid']);
        $uin = abs(intval($_GET['uin']));

        if ($uid == $_SESSION['token']) {
            $queryicq = DB :: $dbh -> query("SELECT * FROM `icq` WHERE `icq_id`=? LIMIT 1;", array($uin));
		$data = $queryicq -> fetch();
            if (!empty($queryicq)) {
                    if ($udata['users_money'] >= $data['icq_mon']) {
                        DB :: $dbh -> query("UPDATE `users` SET `users_money`=`users_money`-? WHERE `users_login`=?;", array($data['icq_mon'], $log));
		
			// ------------------------------Уведомление по привату------------------------//
                                    $textpriv = '<img src="' . BASEDIR . 'icq/icq.png" alt="money" />  Вы приобрели ICQ - Uin в нашем магазине! С вашего счета было списано ' . moneys($data['icq_mon']) . '! Запомните, а лучше перепишите данные в надежное место! <br />---<br /><b>Пароль:</b> ' . $data['icq_pass'] . '<br /><b>UIN:</b> ' . $data['icq_number'] . '<br />---';
                                    DB :: $dbh -> query("INSERT INTO `inbox` (`inbox_user`, inbox_author, `inbox_text`, `inbox_time`) VALUES (?, ?, ?, ?);", array($log, Торговец, $textpriv, SITETIME));
DB :: $dbh -> query("UPDATE `users` SET `users_newprivat`=`users_newprivat`+1 WHERE `users_login`=?", array($log));
			DB :: $dbh -> query("DELETE FROM `icq` WHERE `icq_id`=?;", array($data['icq_id']));
		$_SESSION['note'] = 'Номер успешно куплен!';
                header ("Location: index.php?" . SID);
                exit;
                    } else {
                        show_error('Ошибка! Недостаточно средств на счету! необходимо ');
                    } 
                } else {
                show_error('Ошибка! Такого номера не существует!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="index.php?act=showing&amp;cat=' . $cat . '' . SID . '">Вернуться</a><br />';
        break;
# ###########################################################################################
# #                                 Добавление номера                                      ##
# ###########################################################################################
case 'add':

  if (is_admin(array(101))) {
echo '<form method="post" action="index.php?act=asave&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';
echo 'UIN:<br /><input name="uin" maxlength="11" value="" /><br />';
echo 'Пароль:<br /><input name="pass" maxlength="25" value="" /><br />';
echo 'Стоимость:<br /><input name="mon" maxlength="25" value="" /><br />';
echo 'Категория:<br /><input name="cat" maxlength="2" value="" /><br />';
echo '<input value="Изменить" type="submit" /></form><hr />';
  } else {
    show_error('Ошибка! Добавлять номера могут только суперадмины!');
  } 
        echo '* В поле категория необходимо указать кол - во символов в номере! <br />';
  echo '<img src="../images/img/reload.gif" alt="image" /> <a href="index.php?' . SID . '">Вернуться</a><br />';
  break;
# ###########################################################################################
# #                                 Запись номера                                          ##
# ###########################################################################################
case 'asave':
$uid = check($_GET['uid']);
$uin = check($_POST['uin']);
$pass = check($_POST['pass']);
$cat = check($_POST['cat']);
$mon = check($_POST['mon']);

  if (is_admin(array(101))) {
    if ($uid == $_SESSION['token']) {
	if ($mon == check($_POST['mon']) >= 0) {
      if (utf_strlen(trim($uin)) >= 5 && utf_strlen($uin) < 9) {
	$uin = intval(str_replace('-', '', $uin));

DB :: $dbh -> query("INSERT INTO `icq` (`icq_number`, `icq_pass`, `icq_mon`, `icq_cat`, `icq_time`) VALUES (?, ?, ?, ?, ?);", array($uin, $pass, $mon, $cat, SITETIME));

                $_SESSION['note'] = 'Номер успешно добавлен!';
                header ("Location: index.php?act=add" . SID);
                exit;
  	} else {
      show_error('Ошибка! Слишком большой или короткий номер! Требуется от 5 до 9 символов!');
    }
	} else {
      show_error('Ошибка! Введите сууму более 0 рублей!');
    }
	} else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    }
	} else {
    show_error('Ошибка! Управлять номерами могут только суперадмины!');
  } 

  echo '<img src="../images/img/reload.gif" alt="image" /> <a href="index.php?' . SID . '">Вернуться</a><br />';
  break;

default:
  header("location: index.php?" . SID);
  exit;
  endswitch;

  echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

  include_once ('../themes/' . $config['themes'] . '/foot.php');

  ?>